Bug 561003

Summary: udevd causes Buffer I/O error, CPU overloads and freezes
Product: [Fedora] Fedora Reporter: Etienne <etiennerouge>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 12CC: harald, jonathan, theholyettlz
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: udev-145-20.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-23 18:58:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Etienne 2010-02-02 08:42:11 EST
Description of problem:

I first noticed the problem because of bad freezes using music software with a firewire sound card (FFADO drivers).

The problem occurred only when I had a CD audio in my laptop (data cd or dvd work fine...).

If I open a TTY (or run dmesg) my screen becomes white with those messages (bellow) as long as there an *audio* CD inside:

"Buffer I/O error on device sr0, logical block 0
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track".

Yesterday I noticed that udevd was eating 34% (9 udevd were running together) of my CPU so I killed them.... and the messages above disappeared!


Version-Release number of selected component (if applicable):
- libudev.i686 145-14.fc12 
- 2.6.31.12-1.rt20.1.fc12.ccrma.i686.rtPAE

How reproducible: 

Every time I use FFADO with an audio CD in


Additional info:

Please note that the sr0 errors occurs with the normal kernel too, with a fresh installed fedora.
Comment 1 Harald Hoyer 2010-02-03 05:13:12 EST
do you have the package "anaconda" installed on your system?
Comment 2 Etienne 2010-02-03 05:22:31 EST
Yes

Installed Packages
anaconda.i686                              12.46-2.fc12                 @rawhide
anaconda-yum-plugins.noarch                1:1.0-5.fc12                 @rawhide
Comment 3 Harald Hoyer 2010-02-03 05:24:04 EST
are your problems fixed, if you remove "anaconda" ?
Comment 4 Etienne 2010-02-03 05:48:12 EST
Nop not at all....
Comment 5 Harald Hoyer 2010-02-03 05:57:13 EST
what is the output of:

$ udevadm info --query=all --name=/dev/sr0
Comment 6 Harald Hoyer 2010-02-03 05:57:34 EST
(In reply to comment #5)
> what is the output of:
> 
> $ udevadm info --query=all --name=/dev/sr0    

with the disk inserted
Comment 7 Harald Hoyer 2010-02-03 06:10:31 EST
which audio playback app do you use?

please run:

$ lsof -r1 /dev/sr0

a while and stop it with ctrl-c. Then attach the output.
Comment 8 Etienne 2010-02-03 07:39:00 EST
$ lsof -r1 /dev/sr0 : 

P: /devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0/block/sr0
N: sr0
S: block/11:0
S: scd0
S: disk/by-path/pci-0000:00:1f.2-scsi-1:0:0:0
S: cdrom
S: cdrw
S: dvd
S: dvdrw
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0/block/sr0
E: MAJOR=11
E: MINOR=0
E: DEVNAME=/dev/sr0
E: DEVTYPE=disk
E: ID_CDROM=1
E: ID_CDROM_CD_R=1
E: ID_CDROM_CD_RW=1
E: ID_CDROM_DVD=1
E: ID_CDROM_DVD_R=1
E: ID_CDROM_DVD_RW=1
E: ID_CDROM_DVD_RAM=1
E: ID_CDROM_DVD_PLUS_R=1
E: ID_CDROM_DVD_PLUS_RW=1
E: ID_CDROM_DVD_PLUS_R_DL=1
E: ID_CDROM_MRW=1
E: ID_CDROM_MRW_W=1
E: ID_CDROM_MEDIA=1
E: ID_CDROM_MEDIA_CD=1
E: ID_CDROM_MEDIA_SESSION_COUNT=1
E: ID_CDROM_MEDIA_TRACK_COUNT=11
E: ID_CDROM_MEDIA_TRACK_COUNT_AUDIO=11
E: ID_VENDOR=Optiarc
E: ID_VENDOR_ENC=Optiarc\x20
E: ID_MODEL=DVD_RW_AD-7560S
E: ID_MODEL_ENC=DVD\x20RW\x20AD-7560S\x20
E: ID_REVISION=S801
E: ID_TYPE=cd
E: ID_BUS=scsi
E: ID_PATH=pci-0000:00:1f.2-scsi-1:0:0:0
E: ACL_MANAGE=1
E: ANACBIN=/sbin
E: GENERATED=1
E: DKD_PRESENTATION_NOPOLICY=0
E: DKD_MEDIA_AVAILABLE=1
E: DEVLINKS=/dev/block/11:0 /dev/scd0 /dev/disk/by-path/pci-0000:00:1f.2-scsi-1:0:0:0 /dev/cdrom /dev/cdrw /dev/dvd /dev/dvdrw

$ lsof -r1 /dev/sr0^C

=======
=======
=======
=======

and again....
and again....
Comment 9 Harald Hoyer 2010-02-03 09:16:04 EST
If the music software opens the cdrom in "write" mode, udev gets retriggered, and rereads the CDROM informations, if the music software closes the cdrom.

Technically speaking, your music software might open the cdrom with the write flag and closes it, which causes udev to rerun.
Comment 10 Etienne 2010-02-05 03:18:07 EST
I'm sorry but I don't understand the whole message...however those errors appear even when the CD is not played.
Comment 11 Fedora Update System 2010-04-13 12:40:57 EDT
udev-145-20.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-20.fc12
Comment 12 Fedora Update System 2010-04-14 23:16:11 EDT
udev-145-20.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-145-20.fc12
Comment 13 Fedora Update System 2010-04-23 18:58:02 EDT
udev-145-20.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.